# PDevicePluginAdapter< DeviceBase > Class Template Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginAdapter< DeviceBase >:

List of all members.

## Public Types

typedef PDevicePluginFactory< DeviceBase > | Factory_T
typedef Factory_T::Worker | Worker_T

## Public Member Functions

void | CreateFactory (const PString &device)

### template<typename DeviceBase>
class PDevicePluginAdapter< DeviceBase >

## Member Typedef Documentation

template<typename DeviceBase>

typedef PDevicePluginFactory<DeviceBase> PDevicePluginAdapter< DeviceBase >::Factory_T

template<typename DeviceBase>

typedef Factory_T::Worker PDevicePluginAdapter< DeviceBase >::Worker_T

## Member Function Documentation

template<typename DeviceBase>

void PDevicePluginAdapter< DeviceBase >::CreateFactory | ( | const PString & | device | ) | `[inline, virtual]`

Implements PDevicePluginAdapterBase.

The documentation for this class was generated from the following file:

- plugin.h